SciLinux: SLSA-2022-5235-1 Moderate: python on SL7.x x86_64 | Linux...

Advisories

Synopsis:          Moderate: python security update
Advisory ID:       SLSA-2022:5235-1
Issue Date:        2022-06-28
CVE Numbers:       CVE-2020-26116
                   CVE-2020-26137
                   CVE-2021-3177
--

Security Fix(es):

* python: CRLF injection via HTTP request method in httplib/http.client
(CVE-2020-26116)

* python-urllib3: CRLF injection via HTTP request method (CVE-2020-26137)

* python: Stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c
(CVE-2021-3177)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
--

SL7
  x86_64
    python-2.7.5-92.el7_9.x86_64.rpm
    python-debuginfo-2.7.5-92.el7_9.i686.rpm
    python-debuginfo-2.7.5-92.el7_9.x86_64.rpm
    python-libs-2.7.5-92.el7_9.i686.rpm
    python-libs-2.7.5-92.el7_9.x86_64.rpm
    python-debug-2.7.5-92.el7_9.x86_64.rpm
    python-devel-2.7.5-92.el7_9.x86_64.rpm
    python-test-2.7.5-92.el7_9.x86_64.rpm
    python-tools-2.7.5-92.el7_9.x86_64.rpm
    tkinter-2.7.5-92.el7_9.x86_64.rpm

- Scientific Linux Development Team

SciLinux: SLSA-2022-5235-1 Moderate: python on SL7.x x86_64

Summary

Moderate: python security update



Security Fixes

* python: CRLF injection via HTTP request method in httplib/http.client (CVE-2020-26116)
* python-urllib3: CRLF injection via HTTP request method (CVE-2020-26137)
* python: Stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c (CVE-2021-3177)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE
SL7 x86_64 python-2.7.5-92.el7_9.x86_64.rpm python-debuginfo-2.7.5-92.el7_9.i686.rpm python-debuginfo-2.7.5-92.el7_9.x86_64.rpm python-libs-2.7.5-92.el7_9.i686.rpm python-libs-2.7.5-92.el7_9.x86_64.rpm python-debug-2.7.5-92.el7_9.x86_64.rpm python-devel-2.7.5-92.el7_9.x86_64.rpm python-test-2.7.5-92.el7_9.x86_64.rpm python-tools-2.7.5-92.el7_9.x86_64.rpm tkinter-2.7.5-92.el7_9.x86_64.rpm
- Scientific Linux Development Team

Severity
Advisory ID: SLSA-2022:5235-1
Issued Date: : 2022-06-28
CVE Numbers: CVE-2020-26116
CVE-2020-26137
CVE-2021-3177

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.